| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::transport::managed_send_buffer Class Reference

`#include <uhd/transport/zero_copy.hpp>`

Inheritance diagram for uhd::transport::managed_send_buffer:

## Detailed Description

A managed send buffer: Contains a reference to transport-managed memory, and a method to commit the memory after writing.

## Public Types
typedef boost::intrusive_ptr< managed_send_buffer > | sptr
Public Types inherited from uhd::transport::managed_buffer
typedef boost::intrusive_ptr< managed_buffer > | sptr

## Additional Inherited Members
Public Member Functions inherited from uhd::transport::managed_buffer
| managed_buffer (void)
virtual | ~managed_buffer (void)
virtual void | release (void)=0
UHD_INLINE void | commit (size_t num_bytes)
template<class T>
UHD_INLINE T | cast (void) const
UHD_INLINE size_t | size (void) const
template<typename T>
UHD_INLINE boost::intrusive_ptr< T > | make (T *p, void *buffer, size_t length)
| Create smart pointer to a reusable managed buffer.
int | ref_count ()
Public Attributes inherited from uhd::transport::managed_buffer
boost::detail::atomic_count | _ref_count
Protected Attributes inherited from uhd::transport::managed_buffer
void * | _buffer
size_t | _length

## Member Typedef Documentation

## ◆ sptr

typedef boost::intrusive_ptr<managed_send_buffer> uhd::transport::managed_send_buffer::sptr

The documentation for this class was generated from the following file:

- zero_copy.hpp